{
  "name": "backend-coding-test",
  "version": "1.0.0",
  "description": "A coding assessment for Xendit backend interviews",
  "main": "index.js",
  "directories": {
    "test": "tests"
  },
  "scripts": {
    "test": "mocha tests",
    "start": "node index.js",
    "lint": "eslint src",
    "coverage": "nyc npm run test",
    "foo": "echo \"fooo\" && exit 0",
    "bar": "echo \"bar\" && exit 0"
  },
  "pre-push": [
    "foo",
    "bar",
    "test"
  ],
  "keywords": [
    "Xendit"
  ],
  "author": "Bo",
  "license": "ISC",
  "dependencies": {
    "body-parser": "^1.19.0",
    "express": "^4.16.4",
    "sqlite3": "^4.0.6",
    "winston": "^3.6.0",
    "winston-daily-rotate-file": "^4.6.1"
  },
  "devDependencies": {
    "eslint": "^8.10.0",
    "husky": "^7.0.4",
    "loadtest": "*",
    "mocha": "^6.1.4",
    "pre-push": "^0.1.1",
    "supertest": "^4.0.2"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run lint && npm test",
      "pre-push": "npm run lint && npm test"
    }
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/rahul.neo/backend-test.git"
  },
  "bugs": {
    "url": "https://gitlab.com/rahul.neo/backend-test/issues"
  },
  "homepage": "https://gitlab.com/rahul.neo/backend-test#README"
}
